Blue Guardrails

List Labeling Projects

List labeling projects in the current workspace.

GET
/v1/labeling-projects

Query Parameters

limit?integer

Maximum number of projects to return

Default50
Range0 < value <= 100
cursor?|

Cursor for pagination

Header Parameters

x-workspace-id?|

Workspace UUID to operate within. Required for session auth and user-scoped API keys. Optional for workspace-scoped API keys (uses key's workspace if omitted).

Response Body

application/json

application/json

curl -X GET "https://loading/v1/labeling-projects"
{
  "next_page_cursor": "string",
  "query": {},
  "has_more": true,
  "items": [
    {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
      "name": "string",
      "slug": "string",
      "labeling_guide": "string",
      "source_type": "string",
      "source_experiment_id": "abb9575d-ed86-43cb-abcc-34b1eee80637",
      "source_filter_snapshot": {},
      "label_schema": [
        {
          "name": "string",
          "description": ""
        }
      ],
      "config": {
        "labelers_per_task": 1,
        "auto_create_review_tasks": false
      },
      "status": "string",
      "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4",
      "created_at": "2019-08-24T14:15:22Z",
      "updated_at": "2019-08-24T14:15:22Z",
      "task_count": 0,
      "completed_task_count": 0,
      "avg_completion_seconds": 0
    }
  ]
}
{
  "detail": [
    {
      "loc": [
        "string"
      ],
      "msg": "string",
      "type": "string"
    }
  ]
}